Subject: Apache+PHP on WinME - was Re: 3rd time lucky? Apache startup woes
From: Gary Stainburn <[email-masked]>
To: "cygwin" <[email-masked]>
Date: Wed, 27 Nov 2002 10:26:14 +0000

Hi all,

I've had no luck getting anywhere with this.  I asume that the info I provided 
below was of no use to anyone.

Can anyone suggest any additional evidence I can collect?
One suggestions was to start httpd within gdb.  Can anyone point me at any 
instructions on how to do this.

Ta

Gary

On Friday 22 November 2002 11:30 am, Gary Stainburn wrote:
> On Tuesday 19 Nov 2002 9:06 am, Ralf Habacker wrote:
> [SNIP]>
>
> > #define ERROR_INVALID_HANDLE 6L
> > The rebase could not open the dll. Is this dll still used by any process
> > ? Please make sure, this dll isn't used by any process.
> >
> > > gary@LADVENT ~
> > > $ /usr/sbin/apachectl start
> > > Syntax error on line 236 of /etc/apache/httpd.conf:
> > > Cannot load /usr/lib/apache/libphp4.dll into server: dlopen: Win32
> > > error 31
> >
> > #define ERROR_GEN_FAILURE 31L
> >
> >
> > Do you have tried ssp. ssp shows you which dll is load onto which address
> > (Unfortunally I don't know if ssp works under winMe)
> >
> > $ ssp -v -d -dll 0x401000 0x440000 `cygpath -aw /usr/sbin/httpd.exe `
> > verbose messages enabled
>
> [SNIP]
>
> > Another possibility is to load apache with gdb and start it. Then you can
>
> [SNIP]
>
> > Ralf
>
> Hi Ralf, all
>
> I've finally had a chance to have a go with ssp (work keeps getting in the
> way).  Below is the output - sorry but I haven't got a clue what it's
> saying so I home someone out there can help.
>
> I've no idea how to start httpd via gdb so I can't run/capture that data.
>
> gary@LADVENT /lib/apache
> $ ssp -v -d -dll 0x401000 0x440000 'cygpath -aw /usr/sbin/httpd.exe'
> verbose messages enabled
> stepping disabled; enable via OutputDebugString ("ssp on")
> stepping disabled; enable via OutputDebugString ("ssp on")
> profiling dll usage
> profiling dll usage
> prun: [00401000,00440000] Running `cygpath -aw /usr/sbin/httpd.exe'
> load dll bfb70000: cmt3.l
> load dll 70bd0000: slaidl
> load dll bff40000: ue3.l
> load dll bfe60000: avp3.l
> load dll bff10000: gi2dl
> load dll 78000000: mvr.l
> load dll 7fbd0000: sel2dl
> load dll bff60000: kre3.l
> load dll 61000000: cgi1dls
> create thread ffe71841 at bff92876 kre3.l
> ODS: d0/0 "cYgFFFFFFFF 610CAAF0"
> create thread ffe50505 at 61005400 cgi1dls
> ODS: d0/0 "cYgstd 73fd00 d 3"
> C:\cygwin\usr\sbin\httpd.exe
> exit thread ffe71841, code=-1
> exit thread ffe50505, code=-1
> process ffe4ce2d ffe4cc75 exit 0
> total cycles: 1, counted cycles: 0
>  Main-Thread Other-Thread BaseAddr DLL Name
>       1 100%       0   0% bff60000 kre3.l
>
> gary@LADVENT /lib/apache
> $

-- 
Gary Stainburn
 
This email does not contain private or confidential material as it
may be snooped on by interested government parties for unknown
and undisclosed purposes - Regulation of Investigatory Powers Act, 2000     

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/